const Parser = require("../index");

let payloads = [
    "eyJ0ZXN0IjoiY2FzZSJ9", // Valid JSON base64
    "{\"test\":\"case\"}",      // Valid JSON
    "dHJhc2ggZGF0YQ==",     // Invalid JSON base64
    "invalid json"            // Invalid JSON
];

let parser = new Parser();

payloads.forEach( (x) => {
    let ret = parser.parse(x);
    console.log(JSON.stringify({
        test: x, 
        return: ret, 
        parsed: parser.parsedString
    }, "", 2));
});
